Skip to content
Lenso
English
Esc
navigateopen⌘Jpreview

POST /v1/auth/phone/password/set

POST/v1/auth/phone/password/set
Header parameters
authorizationstring
Bearer session token or local development actor
cookiestring
Cookie header containing `lenso_session`
x-request-idstring
Optional caller-provided request identifier
x-correlation-idstring
Optional caller-provided correlation identifier
Request body
requiredapplication/json
Set or replace the password for the current phone identity
passwordstringrequired
Responses
200Phone password updated
updatedbooleanrequired
400Request validation failed
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
401Authentication is required
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
403Authenticated phone identity is required
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
500Internal server error
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
Request
curl -X POST "/v1/auth/phone/password/set" \
  -H "Content-Type: application/json" \
  -d '{
  "password": "string"
}'
Response
{
  "updated": true
}